package pay

import (
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/requests"
	"golib.gaore.com/GaoreGo/gaore-common-sdk-go/sdk/responses"
)

type ComplaintNotifyUrlRequest struct {
	*requests.RpcRequest
	MchId     string `position:"Body" field:"mch_id" default:"" `
	NotifyUrl string `position:"Body" field:"notify_url" default:"" `
	Type      int    `position:"Body" field:"type" default:""`
}

type ComplaintNotifyUrlResponse struct {
	*responses.BaseResponse
	Code int    `json:"code"`
	Msg  string `json:"msg"`
}

func CreateComplaintNotifyUrlRequest() (req *ComplaintNotifyUrlRequest) {
	req = &ComplaintNotifyUrlRequest{
		RpcRequest: &requests.RpcRequest{},
	}
	req.InitWithApiInfo(HOST, VERSION, "/api/complaint/createWxNotifyUrl")
	req.Method = requests.POST
	return
}

func CreateComplaintNotifyUrlResponse() (response *ComplaintNotifyUrlResponse) {
	response = &ComplaintNotifyUrlResponse{
		BaseResponse: &responses.BaseResponse{},
	}
	return
}
